package com.ruoyi.pay.service;

import com.ruoyi.pay.domain.PayEmployeeInfo;
import com.ruoyi.pay.domain.vo.PayEmployeeInfoVo;
import com.ruoyi.pay.domain.bo.PayEmployeeInfoBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 员工信息Service接口
 *
 * @author ruoyi
 * @date 2025-05-12
 */
public interface IPayEmployeeInfoService {

    /**
     * 查询员工信息
     */
    PayEmployeeInfoVo queryById(Long id);

    /**
     * 查询员工信息列表
     */
    TableDataInfo<PayEmployeeInfoVo> queryPageList(PayEmployeeInfoBo bo, PageQuery pageQuery);

    /**
     * 查询员工信息列表
     */
    List<PayEmployeeInfoVo> queryList(PayEmployeeInfoBo bo);

    /**
     * 新增员工信息
     */
    Boolean insertByBo(PayEmployeeInfoBo bo);

    /**
     * 修改员工信息
     */
    Boolean updateByBo(PayEmployeeInfoBo bo);

    /**
     * 校验并批量删除员工信息信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    int updateSgrEmployeeHour(String oldHour, String newHour,Long tenantId);

    List<PayEmployeeInfoVo> getSalesmanList(PayEmployeeInfoBo bo);
}
